Bug 18067 - "gopher" should be whilelisted
Summary: "gopher" should be whilelisted
Status: RESOLVED WONTFIX
Alias: None
Product: HTML WG
Classification: Unclassified
Component: HTML5 spec (show other bugs)
Version: unspecified
Hardware: Other other
: P3 normal
Target Milestone: ---
Assignee: Robin Berjon
QA Contact: HTML WG Bugzilla archive list
URL: http://www.whatwg.org/specs/web-apps/...
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-07-18 16:20 UTC by contributor
Modified: 2012-09-28 05:30 UTC (History)
7 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description contributor 2012-07-18 16:20:23 UTC
This was was cloned from bug 16099 as part of operation convergence.
Originally filed: 2012-02-24 04:50:00 +0000

================================================================================
 #0   contributor@whatwg.org                          2012-02-24 04:50:50 +0000 
--------------------------------------------------------------------------------
Specification: http://www.whatwg.org/specs/web-apps/current-work/multipage/timers.html
Multipage: http://www.whatwg.org/C#custom-handlers
Complete: http://www.whatwg.org/c#custom-handlers

Comment:
"gopher" should be whilelisted

Posted from: 2001:470:1f07:57:9c49:2f25:e632:b8ce
User agent: Mozilla/5.0 (Windows NT 5.1) AppleWebKit/535.11 (KHTML, like Gecko) Chrome/17.0.963.46 Safari/535.11
================================================================================
Comment 1 Robin Berjon 2012-09-06 12:37:10 UTC
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If you are
satisfied with this response, please change the state of this bug to CLOSED. If
you have additional information and would like the Editor to reconsider, please
reopen this bug. If you would like to escalate the issue to the full HTML
Working Group, please add the TrackerRequest keyword to this bug, and suggest
title and text for the Tracker Issue; or you may create a Tracker Issue
yourself, if you are able to do so. For more details, see this document:


   http://dev.w3.org/html5/decision-policy/decision-policy.html

Status: Accepted
Change Description: Added gopher to the whitelisted schemes
Rationale: Bring gopher onto the Web.

https://github.com/w3c/html/commit/3e589bc6751d9d4b8f746c7b25cab64e118e397e
Comment 2 Edward O'Connor 2012-09-06 15:39:45 UTC
It's not clear to me why we would want a website to be able to become the gopher protocol handler. We obviously wouldn't want http to be in the whitelist, and gopher seems to be in the same bucket as http. I think this should be reverted.
Comment 3 Robin Berjon 2012-09-06 15:50:52 UTC
Reopened based on discussion at http://krijnhoetmer.nl/irc-logs/whatwg/20120906#l-682
Comment 4 Robin Berjon 2012-09-06 16:09:46 UTC
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If you are
satisfied with this response, please change the state of this bug to CLOSED. If
you have additional information and would like the Editor to reconsider, please
reopen this bug. If you would like to escalate the issue to the full HTML
Working Group, please add the TrackerRequest keyword to this bug, and suggest
title and text for the Tracker Issue; or you may create a Tracker Issue
yourself, if you are able to do so. For more details, see this document:


   http://dev.w3.org/html5/decision-policy/decision-policy.html

Status: Rejected
Rationale: Gopher considered harmful

https://github.com/w3c/html/commit/20ab137355a21e4f6de2740ae997819f1b8f01ed
Comment 5 Silvia Pfeiffer 2012-09-22 01:58:00 UTC
If nobody objects, I will pull in the paragraph from Ian that explains how we regard it as harmful:
https://github.com/w3c/html/commit/63289e0e25cd1fe077ac3cdce46f41dec515de0d
Comment 6 Robin Berjon 2012-09-22 08:34:25 UTC
(In reply to comment #5)
> If nobody objects, I will pull in the paragraph from Ian that explains how we
> regard it as harmful:
> https://github.com/w3c/html/commit/63289e0e25cd1fe077ac3cdce46f41dec515de0d

+1 go ahead!
Comment 7 Silvia Pfeiffer 2012-09-28 05:30:35 UTC
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If
you are satisfied with this response, please change the state of
this bug to CLOSED. If you have additional information and would
like the Editor to reconsider, please reopen this bug. If you would
like to escalate the issue to the full HTML Working Group, please
add the TrackerRequest keyword to this bug, and suggest title and
text for the Tracker Issue; or you may create a Tracker Issue
yourself, if you are able to do so. For more details, see this
document:   http://dev.w3.org/html5/decision-policy/decision-policy.html

Status: Partially Accepted
Change Description: applied patch
https://github.com/w3c/html/commit/63289e0e25cd1fe077ac3cdce46f41dec515de0d

Rationale: merged explanation by WHATWG why gopher is not in the list